# GQ GMC

This is a web service interface for GQ GMC geiger counters.

## Installation

Note this is not yet complete.

```bash
go get -u gitlab.com/lyda/gqgmc/cmd/gqgmcd
```

## Prometheus variables

There is a sample `prometheus.yml` configuration in the `docs/`
directory.  See the Prometheus
[getting started](https://prometheus.io/docs/introduction/getting_started/)
docs for more information.

* `gqgmc_geiger_cpm` (histogram) CPM readings.
* `gqgmc_geiger_cps` (histogram) CPS readings.
* `gqgmc_power_volts` (histogram) Voltage readings.
* `gqgmc_sys_errors` (histogram) Error counts. Records problems
  communicating with the device.

## Configuring udev

Copy the `linux/51-gqgmc.rules` file to the `/etc/udev/rules.d`
directory and force the reload of udev rules:

```bash
sudo cp ./51-gqgmc.rules /etc/udev/rules.d/51-gqgmc.rules sudo
udevadm control --reload-rules
```

Disconnect the GQ GMC-300 from the computer and then reconnect.
Verify that there exists a `/dev/gqgmc` in the `/dev` directory
with read/write permission for all users.

```bash
ls -la /dev/gqgmc
```
